from location import models
from location.serializers import common

from utils.serializers import TranslatedField


class AddressCreateSerializer(common.AddressDetailSerializer):
    """Address create serializer."""


class CountryBackSerializer(common.CountrySerializer):
    """Country back-office serializer."""

    name_translated = TranslatedField()

    class Meta:
        model = models.Country
        fields = [
            'id',
            'code',
            'svg_image',
            'name',
            'name_translated',
            'country_id'
        ]
